List Community Groups
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
],
"meta": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}Community Groups
List Community Groups
Lists active community groups in the authenticated member’s church with membership state and optional filters.
GET
/
v1
/
community-groups
List Community Groups
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"groups": [
{
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
],
"meta": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Search group names and descriptions.
Maximum string length:
100Filter by church campus.
Required range:
x >= 1Filter by group type.
Maximum string length:
100Filter by meeting day.
Maximum string length:
30Page number.
Required range:
x >= 1Groups per page.
Required range:
1 <= x <= 50Response
Community groups loaded.
The response is of type object.
Was this page helpful?